> For the complete documentation index, see [llms.txt](https://docs.mempoolnode.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mempoolnode.com/mempool-tools-suite/mempool-configuration-api.md).

# Mempool Configuration API

## API

To interact with your Mempool Node Dashboard Configuration, you need to use the following base API:

[`https://api.mempoolnode.com/`](https://api.mempoolnode.com/)

&#x20;You must utilise our following endpoints:

### Get All Watched Addresses

{% openapi src="<https://api.mempoolnode.com/swagger/v1/swagger.json>" path="/sdk/watched-addresses" method="get" %}
<https://api.mempoolnode.com/swagger/v1/swagger.json>
{% endopenapi %}

#### Required Parameters:

`apiKey` - This is the API Key for your current API Configuration, you can find this on your [Mempool Node Dashboard](https://dashboard.mempoolnode.com)

### Get A Specific Watched Address

{% openapi src="<https://api.mempoolnode.com/swagger/v1/swagger.json>" path="/sdk/watched-address/{addressIndex}" method="get" %}
<https://api.mempoolnode.com/swagger/v1/swagger.json>
{% endopenapi %}

#### Required Parameters:

`apiKey` - This is the API Key for your current API Configuration, you can find this on your [Mempool Node Dashboard](https://dashboard.mempoolnode.com)

`addressIndex` -  This is the index which is provided via the [watchedAddress API](#sdk-watchedaddresses), the index maps 1:1 with the response from [watchedAddress](#sdk-watchedaddresses)[es ](#sdk-watchedaddresses)

### Set A Specific Watched Address

{% openapi src="<https://api.mempoolnode.com/swagger/v1/swagger.json>" path="/sdk/watched-address/{addressIndex}" method="post" %}
<https://api.mempoolnode.com/swagger/v1/swagger.json>
{% endopenapi %}

#### Required Parameters:

`apiKey` - This is the API Key for your current API Configuration, you can find this on your [Mempool Node Dashboard](https://dashboard.mempoolnode.com)

`body` - This is where you set the address you wish to watch in your current API Configuration

`addressIndex` - This is the index which is provided via the [watchedAddress API](#sdk-watchedaddresses), the index maps 1:1 with the response from [watchedAddress](#sdk-watchedaddresses)[es ](#sdk-watchedaddresses)

### Add A New Watched Address

{% openapi src="<https://api.mempoolnode.com/swagger/v1/swagger.json>" path="/sdk/watched-address" method="put" %}
<https://api.mempoolnode.com/swagger/v1/swagger.json>
{% endopenapi %}

#### Required Parameters:

`apiKey` - This is the API Key for your current API Configuration, you can find this on your [Mempool Node Dashboard](https://dashboard.mempoolnode.com)

`body` - This is where you set the address you wish to watch in your current API Configuration

### Remove A Watched Address

{% openapi src="<https://api.mempoolnode.com/swagger/v1/swagger.json>" path="/sdk/watched-address/{addressIndex}" method="delete" %}
<https://api.mempoolnode.com/swagger/v1/swagger.json>
{% endopenapi %}

#### Required Parameters:

`apiKey` - This is the API Key for your current API Configuration, you can find this on your [Mempool Node Dashboard](https://dashboard.mempoolnode.com)

`addressIndex` - This is the index which is provided via the [watchedAddress API](#sdk-watchedaddresses), the index maps 1:1 with the response from [watchedAddress](#sdk-watchedaddresses)[es ](#sdk-watchedaddresses)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mempoolnode.com/mempool-tools-suite/mempool-configuration-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
